/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workfullmanage.service;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workfullmanage.dao.WorkFullDesignDao;
import com.jeeplus.modules.workfullmanage.entity.WorkFullDesign;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 设计联系人Service
 * @author mapengbo
 * @version 2017-10-25
 */
@Service
@Transactional(readOnly = true)
public class WorkFullDesignService extends CrudService<WorkFullDesignDao, WorkFullDesign> {

	public WorkFullDesign get(String id) {
		return super.get(id);
	}
	
	public List<WorkFullDesign> findList(WorkFullDesign workFullDesign) {
		return super.findList(workFullDesign);
	}
	
	public Page<WorkFullDesign> findPage(Page<WorkFullDesign> page, WorkFullDesign workFullDesign) {
		return super.findPage(page, workFullDesign);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkFullDesign workFullDesign) {
		super.save(workFullDesign);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkFullDesign workFullDesign) {
		super.delete(workFullDesign);
	}
	
	
	
	
}